Subject: Re: [PATCH v3 0/2] bisect: status improvements when bisect is not fully fleshed out

From: Junio C Hamano <[email-masked]>
Date: Wed, 11 May 2022 12:41:15 -0700

Chris Down <[email-masked]> writes:

> When bisecting, we currently don't output anything before bisection
> starts in earnest, which can result in some confusion. For example, in
> the case illustrated in the first commit in this patch series, it's
> trivial to accidentally misspell a tag or branch and accidentally end up
> in an unintended state with no clear indication about what happened.
>
> This patch series makes it so that we give information about bisect
> state even before the bisect is ready to begin. We also store these
> changes in state to the bisect log.
>
> v2:
>
> - Move to improve bisect output overall, instead of just warning for the
>   specific unintended pathspec case.
>
> v3:
>
> - Fix test indentation
> - Rename bs to state
> - Use `unsigned int' for nr_{good,bad}
> - Pass the bisect state struct as an argument into bisect_print_status
> - Zero-initialise bisect_state directly, don't use memset()
> - Fix multiline comment style in bisect.h
> - Use strbuf in bisect_log_printf
> - Change `git bisect log' use an output file in tests instead of piping

Will replace.  Unless there are more inputs, let's merge it to
'next'.  This round looks more than good enough to me.

Thanks.